> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /instances/{id}/restart

> Restart an instance. The status of the instance will stay as 'active' throughout, but you may have to wait a few minutes for the instance to be ready to use again.

<Card href="/getting-started/quickstart#restarting-the-instance">
  Restarting an Instance
</Card>


## OpenAPI

````yaml post /instances/{id}/restart
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /instances/{id}/restart:
    parameters:
      - in: path
        name: id
        required: true
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
        schema:
          type: string
          minimum: 1
        description: The instance id
    post:
      summary: /instances/{id}/restart
      description: >-
        Restart an instance. The status of the instance will stay as 'active'
        throughout, but you may have to wait a few minutes for the instance to
        be ready to use again.
      operationId: InstancesRestart
      responses:
        '200':
          description: >-
            Confirms the restart of an instance has been initiated. This does
            not confirm that the instance restarted successfully.
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````